import { RawTaxOrder } from "./types";
export declare function getProductIdsFromVariantIds(variantId: string | number): Promise<Record<string | number, string>>;
export declare function getOrders<TOderParams>({ query, orderParams, limit, }: {
    query: string;
    orderParams: string;
    limit?: number;
}): Promise<(TOderParams & {
    id: string;
})[]>;
export declare function getOrder<TOderParams>({ orderId, orderParams, onlyTags, }: {
    orderId: string;
    orderParams: string;
    onlyTags?: boolean;
}): Promise<TOderParams & {
    id: string;
}>;
export declare function formatTax<T extends RawTaxOrder>(orderOrOrders: T | T[]): void;
export declare function markOrderAsPaid(orderId: string): Promise<Record<"id", string>>;
export declare function updateTags(id: string, ...newTags: string[]): Promise<{
    orderId: string;
    tagged: boolean;
}>;
export declare function updateTagsForMultipleOrders(orderIds: string[], ...newTags: string[]): Promise<{
    orderId: string;
    tagged: boolean;
}[]>;
export declare function optimizeOrderCustomAttributes(customAttributes: {
    key: string;
    value: string;
}[]): Map<string, string>;
export declare function throttle<TInput, TReqReturn>(req: (val: TInput) => Promise<TReqReturn>, reqInputList: TInput[], limit?: number, wait?: number): Promise<PromiseSettledResult<TReqReturn>[]>;
/** - date must be an ISO string */
export declare function convertISODateToEDIDate(date: string): string;
export declare function getThrottleResValues<T>(res: PromiseSettledResult<T>[]): T[];
export declare function getFulfilledResults<T>(res: PromiseSettledResult<T>[]): PromiseFulfilledResult<T>[];
